%define         pypiname          curses_menu
%define         srcname           curses-menu

Name:           python-cursesmenu
Version:        0.6.7
Release:        %mkrel 1

Summary:        A simple Python menu-based GUI system on the terminal
License:        GPLv3
Group:          Development/Python

Url:            https://github.com/pmbarrett314/curses-menu
Source0:        https://pypi.org/project/curses-menu/curses-menu-%{version}.tar.gz

BuildArch:      noarch


%description
A simple Python menu-based GUI system on the terminal using
curses. Perfect for those times when you need a GUI, but don’t want
the overhead or learning curve of a full-fledged GUI
framework. However, it's also flexible enough to do cool stuff like
on-the-fly changing of menus and is extensible to a large variety of
uses.


%package -n python3-cursesmenu
Summary:        A simple Python menu-based GUI system on the terminal
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest-runner

%description -n python3-cursesmenu
A simple Python menu-based GUI system on the terminal using
curses. Perfect for those times when you need a GUI, but don’t want
the overhead or learning curve of a full-fledged GUI
framework. However, it's also flexible enough to do cool stuff like
on-the-fly changing of menus and is extensible to a large variety of
uses.




%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

# Remove bundled egg-info
%__rm -rf %{pypiname}.egg-info
%__rm -rf .eggs

%build
%py3_build

%install
%py3_install

%files -n python3-cursesmenu
%{python3_sitelib}/cursesmenu
%{python3_sitelib}/%{pypiname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/test/*


%changelog
* Sun Dec 04 2022 eatdirt <eatdirt> 0.6.7-1.mga9
+ Revision: 1917546
- Update to version 0.6.7

* Sun Mar 27 2022 umeabot <umeabot> 0.5.0-4.mga9
+ Revision: 1828915
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.5.0-3.mga9
+ Revision: 1785484
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.5.0-2.mga9
+ Revision: 1733151
- Rebuild for python 3.9

* Mon Oct 26 2020 eatdirt <eatdirt> 0.5.0-1.mga8
+ Revision: 1639691
- Add missing BR
- imported package python-cursesmenu

